Bug 202257 - rcs2log passes invalid options to sort
rcs2log passes invalid options to sort
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cvs (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-11 16:02 EDT by Josh Boyer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-14 17:30:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Boyer 2006-08-11 16:02:38 EDT
Description of problem:

rcs2log calls sort with the following options:

sort -t"$SOH" +2 -4r +4 +0 |

However, the coreutils version in Fedora Core 5 does not understand those options.

Version-Release number of selected component (if applicable):

cvs-1.11.21-3.2

How reproducible:

Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

http://www.mail-archive.com/bug-coreutils@gnu.org/msg07134.html
http://www.opengroup.org/onlinepubs/009695399/utilities/sort.html
http://www.opengroup.org/austin/docs/austin_239.html
Comment 1 Martin Stransky 2006-08-12 18:00:18 EDT
fixed in rawhide, but I'll release it for FC5 too...
Comment 2 Martin Stransky 2006-08-14 17:30:09 EDT
It should be fixed in cvs-1.11.22-2.FC5, it's here:

http://download.fedora.redhat.com/pub/fedora/linux/core/updates/5/

Note You need to log in before you can comment on or make changes to this bug.